Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.store
Interface NodeStore

All Superinterfaces:
  Service, javax.transaction.xa.XAResource

All Known Subinterfaces:
  Store

All Known Implementing Classes:
  AbstractStore

public interface NodeStore
extends Service

Store for Node objects.

Version:
  $Revision: 1.7 $

Field Summary

Fields inherited from interface javax.transaction.xa.XAResource
`TMENDRSCAN, TMFAIL, TMJOIN, TMNOFLAGS, TMONEPHASE, TMRESUME, TMSTARTRSCAN, TMSUCCESS, TMSUSPEND, XA_OK, XA_RDONLY`

Method Summary
`void` | `createObject(Uri uri, ObjectNode object)` Create a new object.
`void` | `removeObject(Uri uri, ObjectNode object)` Remove an object.
`ObjectNode` | `retrieveObject(Uri uri)` Retrive an object.
`void` | `storeObject(Uri uri, ObjectNode object)` Update an object.

Methods inherited from interface org.apache.slide.common.Service
`cacheResults, connect, connect, connectIfNeeded, connectIfNeeded, disconnect, getLogger, initialize, isConnected, reset, setNamespace, setParameters, setScope`

Methods inherited from interface javax.transaction.xa.XAResource
`commit, end, forget, getTransactionTimeout, isSameRM, prepare, recover, rollback, setTransactionTimeout, start`

Method Detail

### retrieveObject

    public ObjectNode retrieveObject(Uri uri)
                              throws ServiceAccessException,
                                     ObjectNotFoundException

  Retrive an object.

  Parameters:
    `uri` - Uri of the object we want to retrieve
  Throws:
    `ServiceAccessException` - Error accessing the Data Source
    `ObjectNotFoundException` - The object to retrieve was not found

### storeObject

    public void storeObject(Uri uri,
                            ObjectNode object)
                     throws ServiceAccessException,
                            ObjectNotFoundException

  Update an object.

  Parameters:
    `object` - Object to update
  Throws:
    `ServiceAccessException` - Error accessing the Data Source
    `ObjectNotFoundException` - The object to update was not found

### createObject

    public void createObject(Uri uri,
                             ObjectNode object)
                      throws ServiceAccessException,
                             ObjectAlreadyExistsException

  Create a new object.

  Parameters:
    `object` - ObjectNode
    `uri` - Uri of the object we want to create
  Throws:
    `ServiceAccessException` - Error accessing the Data Source
    `ObjectAlreadyExistsException` - An object already exists at this Uri

### removeObject

    public void removeObject(Uri uri,
                             ObjectNode object)
                      throws ServiceAccessException,
                             ObjectNotFoundException

  Remove an object.

  Parameters:
    `object` - Object to remove
  Throws:
    `ServiceAccessException` - Error accessing the Data Source
    `ObjectNotFoundException` - The object to remove was not found

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD